Mailinglist Archive: opensuse-updates (123 mails)

< Previous Next >
openSUSE-SU-2017:2880-1: moderate: Security update for curl
openSUSE Security Update: Security update for curl
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:2880-1
Rating: moderate
References: #1060653 #1061876 #1063824
Cross-References: CVE-2017-1000254 CVE-2017-1000257
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that solves two vulnerabilities and has one
errata is now available.

Description:

This update for curl fixes the following issues:

Security issues fixed:

- CVE-2017-1000254: FTP PWD response parser out of bounds read
(bsc#1061876)
- CVE-2017-1000257: IMAP FETCH response out of bounds read (bsc#1063824)

Bugs fixed:

- Fixed error "error:1408F10B:SSL routines" when connecting to ftps via
proxy (bsc#1060653)

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2017-1200=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-1200=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

curl-7.37.0-23.1
curl-debuginfo-7.37.0-23.1
curl-debugsource-7.37.0-23.1
libcurl-devel-7.37.0-23.1
libcurl4-7.37.0-23.1
libcurl4-debuginfo-7.37.0-23.1

- openSUSE Leap 42.3 (x86_64):

libcurl-devel-32bit-7.37.0-23.1
libcurl4-32bit-7.37.0-23.1
libcurl4-debuginfo-32bit-7.37.0-23.1

- openSUSE Leap 42.2 (i586 x86_64):

curl-7.37.0-16.9.1
curl-debuginfo-7.37.0-16.9.1
curl-debugsource-7.37.0-16.9.1
libcurl-devel-7.37.0-16.9.1
libcurl4-7.37.0-16.9.1
libcurl4-debuginfo-7.37.0-16.9.1

- openSUSE Leap 42.2 (x86_64):

libcurl-devel-32bit-7.37.0-16.9.1
libcurl4-32bit-7.37.0-16.9.1
libcurl4-debuginfo-32bit-7.37.0-16.9.1


References:

https://www.suse.com/security/cve/CVE-2017-1000254.html
https://www.suse.com/security/cve/CVE-2017-1000257.html
https://bugzilla.suse.com/1060653
https://bugzilla.suse.com/1061876
https://bugzilla.suse.com/1063824


< Previous Next >
This Thread
  • No further messages